var XLINK_NAMESPACE_URI = 'http://www.w3.org/1999/xlink';
var URL ;
function start(evt){
	var id = evt.getTarget().getAttribute('id')+'URL';
	URL = document.getElementById(id).getAttributeNS(XLINK_NAMESPACE_URI , 'href');
	window.setInterval('connectURL()' , 5000);
}
function connectURL(){
	window.getURL(URL , processURL);
}
function processURL(status){
	var netDoc = parseXML(status.content , document);
	findContents(netDoc.getFirstChild());
}
function findContents(node){
	if(node.getNodeName() == 'ARGS'){
		processContent(node);
	}
	var child = node.getChildNodes();
	for(var i=0; i < child.length; i++){
		findContents(child.item(i));
	}
}

function processContent(node){
	var contents = node.getFirstChild().getNodeValue();
	var contentsSplit = contents.split('|');
		
	for(var i=0;i<contentsSplit.length;i++){
		if(contentsSplit[i] != ''){
			invokeContent(contentsSplit[i]);
		}
	}
}

function invokeContent(contents){
	var info = contents.split('=');
	var target = document.getElementById(info[0]);
	var color = toColor(info[1]);

	if(target != null){
		var childs = target.getChildNodes();
		var child = null;
		for(var i=0; i < childs.getLength(); i++){
			child = childs.item(i);
			if(child.getNodeType() == 1){
				child.getStyle().setProperty('fill' , color , '');
			}
		}
	}
}

function toColor(bit){
	if(bit == '1'){
		return 'red';
	}else if(bit == '0' ) {
		return 'blue';
	}else{
		return 'black';
	}
}